import { jsxs as l, jsx as a } from "react/jsx-runtime";
import { useListItem as f, useFloatingTree as b, useMergeRefs as x } from "@floating-ui/react";
import g from "clsx";
import * as c from "react";
import { MenuContext as I } from "./MenuContext.js";
const y = c.forwardRef(({ label: t, disabled: r, icon: n, ...e }, d) => {
  const u = c.useContext(I), i = f({ label: r ? null : t }), s = b();
  return /* @__PURE__ */ l(
    "button",
    {
      ...e,
      ref: x([i.ref, d]),
      role: "menuitem",
      className: "m-0 flex w-full rounded-md border border-transparent bg-none px-3 py-2 text-left text-base outline-none focus:border focus:border-border-medium focus:bg-surface-lighter focus:underline disabled:cursor-not-allowed disabled:text-copy-medium sm:py-1",
      tabIndex: 0,
      disabled: r,
      ...u.getItemProps({
        onClick(m) {
          var o;
          (o = e.onClick) == null || o.call(e, m), s == null || s.events.emit("click");
        },
        onFocus(m) {
          var o;
          (o = e.onFocus) == null || o.call(e, m), u.setHasFocusInside(!0);
        }
      }),
      children: [
        n,
        t && /* @__PURE__ */ a("span", { className: "pl-2", children: t })
      ]
    }
  );
});
y.displayName = "MenuItem";
const h = ({ className: t, ...r }) => {
  const n = g(t, "my-1 border-t border-border-medium");
  return /* @__PURE__ */ a("div", { className: n, ...r });
};
export {
  y as MenuItem,
  h as MenuSeparator
};
